changeset 281:d5cda5597722

Back out part of 276, make host-tools not delete symlinks to avoid opening a race window where starting a new ./build.sh might screw up an existing one.
author Rob Landley <rob@landley.net>
date Thu, 31 Jan 2008 01:23:18 -0600
parents 00ee362817e1
children 06d1ce19f840
files host-tools.sh
diffstat 1 files changed, 2 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/host-tools.sh	Wed Jan 30 23:15:46 2008 -0600
+++ b/host-tools.sh	Thu Jan 31 01:23:18 2008 -0600
@@ -116,10 +116,9 @@
 #  cd .. &&
 #  $CLEANUP qemu-*
 
-for i in ar as bzip2 cc cp find gcc install ld make nm od sort
+for i in ar as nm cc gcc make ld   bzip2 cp find install od sort
 do
-  rm -f "${HOSTTOOLS}/$i"
-  ln -sf `which $i` "${HOSTTOOLS}/$i" || dienow
+  [ ! -f "${HOSTTOOLS}/$i" ] && (ln -s `which $i` "${HOSTTOOLS}/$i" || dienow)
 done
 
 echo -e "\e[32mHost tools build complete.\e[0m"